package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CpsGlbViewCfg;

/**
 * cps_glb_view_cfg 展示配置Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-14
 */
public interface CpsGlbViewCfgMapper 
{
    /**
     * 查询cps_glb_view_cfg 展示配置
     * 
     * @param id cps_glb_view_cfg 展示配置主键
     * @return cps_glb_view_cfg 展示配置
     */
    public CpsGlbViewCfg selectCpsGlbViewCfgById(Long id);

    /**
     * 查询cps_glb_view_cfg 展示配置列表
     * 
     * @param cpsGlbViewCfg cps_glb_view_cfg 展示配置
     * @return cps_glb_view_cfg 展示配置集合
     */
    public List<CpsGlbViewCfg> selectCpsGlbViewCfgList(CpsGlbViewCfg cpsGlbViewCfg);

    /**
     * 新增cps_glb_view_cfg 展示配置
     * 
     * @param cpsGlbViewCfg cps_glb_view_cfg 展示配置
     * @return 结果
     */
    public int insertCpsGlbViewCfg(CpsGlbViewCfg cpsGlbViewCfg);

    /**
     * 修改cps_glb_view_cfg 展示配置
     * 
     * @param cpsGlbViewCfg cps_glb_view_cfg 展示配置
     * @return 结果
     */
    public int updateCpsGlbViewCfg(CpsGlbViewCfg cpsGlbViewCfg);

    /**
     * 删除cps_glb_view_cfg 展示配置
     * 
     * @param id cps_glb_view_cfg 展示配置主键
     * @return 结果
     */
    public int deleteCpsGlbViewCfgById(Long id);

    /**
     * 批量删除cps_glb_view_cfg 展示配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCpsGlbViewCfgByIds(Long[] ids);
}
