package com.ruoyi.system.excel.impl;

import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.system.excel.JSONHandle;

import java.util.ArrayList;
import java.util.List;

public class FollowsJsonHandle extends JSONHandle {
    @Override
    public String formatJSON(JSONArray value) {
        List<String> result = new ArrayList<>(value.size());
        for (Object object : value) {
            JSONObject jsonObject = (JSONObject) object;
            result.add(String.format("姓名：%s \n手机号：%s\n单位职务：%s", jsonObject.getString("usrName"), jsonObject.getString("tel"), jsonObject.getString("usrLevel")));
        }
        return StringUtils.join(result, "\n");
    }
}
